4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ValueOfElement

Implementation of the xsl:value-of element.
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ValueOfElement

## Classes

class ValueOfElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'disable-output-escaping': <Ft.Xml.Xslt.AttributeInfo.YesNo instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.StringExpression instance>}

### Fields